APIAnalytics
Tool execution time series
Tool executions over time.
GET
/analytics/tool-executions-over-timeTool executions over time.
Query Parameters
start_time*string
Start of the time range to report on, inclusive.
Format
date-timeend_time*string
End of the time range to report on, exclusive.
Format
date-timeinterval?string
Time bucket size for the series: hour or day.
Value in
- "hour"
- "day"
agent_instance_id?array<>
Filter to specific agent instances by id.
agent_slug?array<string>
Filter to agents by slug, the agent type such as claude-code.
mcp_id?array<>
Filter to specific MCP servers by id.
tool_name?array<string>
Filter to specific tool names.
user_id?array<>
Filter to specific users by id.
user_group?array<string>
Filter to users in specific groups.
agent_tag_id?array<>
Filter to agent instances carrying specific tags.
resource_tag_id?array<>
Filter to MCP servers carrying specific tags.
Response Body
application/json
application/json
curl -X GET "https://example.com/analytics/tool-executions-over-time?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"{ "series": [ { "timestamp": "2019-08-24T14:15:22Z", "count": 0 } ]}{ "code": "bad_request", "message": "string", "validation_errors": [ { "field": "string", "message": "string", "rule": "string" } ]}